using System.ServiceModel;

using NHibernate;

namespace BeWo.Data
{
    public class SessionOperationContextExt : IExtension<OperationContext>
    {
        public static SessionOperationContextExt Current
        {
            get
            {
                return OperationContext.Current.Extensions.Find<SessionOperationContextExt>();
            }
        }
    
        public ISession Session { get; set; }

        public void Attach(OperationContext owner)
        {
        }

        public void Detach(OperationContext owner)
        {
        }
    }
}